cgSetBoolArrayStateAssignment(3)

NAME
cgSetBoolArrayStateAssignment - set a bool-valued state assignment array

SYNOPSIS
  #include <Cg/cg.h>
  CGbool cgSetBoolArrayStateAssignment( CGstateassignment sa,
                                        const CGbool * vals );

PARAMETERS

sa  A handle to a state assignment array of type CG_BOOL.

vals
    The values which will be used to set sa.

RETURN VALUES
Returns CG_TRUE if it succeeds in setting the state assignment.

Returns CG_FALSE otherwise.

DESCRIPTION
cgSetBoolArrayStateAssignment sets the value of a state assignment of bool array type.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR is generated if sa is not a valid state assignment.

CG_STATE_ASSIGNMENT_TYPE_MISMATCH_ERROR is generated if sa is not a state assignment of a bool type.

HISTORY
cgSetBoolArrayStateAssignment was introduced in Cg 1.5.

SEE ALSO
the cgGetBoolStateAssignmentValues manpage, the cgSetBoolStateAssignment manpage, the cgSetFloatArrayStateAssignment manpage, the cgSetFloatStateAssignment manpage, the cgSetIntArrayStateAssignment manpage, the cgSetIntStateAssignment manpage, the cgSetProgramStateAssignment manpage, the cgSetSamplerStateAssignment manpage, the cgSetStringStateAssignment manpage, the cgSetTextureStateAssignment manpage